(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     26331,        573]
NotebookOptionsPosition[     25853,        553]
NotebookOutlinePosition[     26312,        571]
CellTagsIndexPosition[     26269,        568]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{
        RowBox[{"x", "^", "2"}], "+", 
        RowBox[{"y", "^", "2"}]}]}], ",", 
      RowBox[{"a", "=", "0"}], ",", 
      RowBox[{"b", "=", "2"}], ",", 
      RowBox[{"c", "=", "0"}], ",", 
      RowBox[{"d", "=", "3"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(x, y) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<a = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "a", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<b = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "b", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<c = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "c", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<d = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "d", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{
        "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"Switch", "[", 
            RowBox[{"method", ",", "\"\<lower left\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Lower Left Sum = \>\""}], ",", 
             "\"\<lower right\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Lower Right Sum = \>\""}], ",", 
             "\"\<upper left\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Upper Left Sum = \>\""}], ",", 
             "\"\<upper right\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Upper Right Sum = \>\""}], ",", 
             "\"\<midpoint\>\"", ",", 
             RowBox[{"tt", "=", "\"\<Midpoint Sum = \>\""}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"s", "=", 
            RowBox[{"Switch", "[", 
             RowBox[{
             "method", ",", "\"\<lower left\>\"", ",", "0", ",", 
              "\"\<lower right\>\"", ",", "1", ",", "\"\<upper left\>\"", ",",
               "0", ",", "\"\<upper right\>\"", ",", "1", ",", 
              "\"\<midpoint\>\"", ",", "0.5"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"t", "=", 
            RowBox[{"Switch", "[", 
             RowBox[{
             "method", ",", "\"\<lower left\>\"", ",", "0", ",", 
              "\"\<lower right\>\"", ",", "0", ",", "\"\<upper left\>\"", ",",
               "1", ",", "\"\<upper right\>\"", ",", "1", ",", 
              "\"\<midpoint\>\"", ",", "0.5"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"ds", "=", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"b", "-", "a"}], ")"}], "/", "m"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"dt", "=", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"d", "-", "c"}], ")"}], "/", "n"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"u", "=", 
            RowBox[{"Range", "[", 
             RowBox[{"a", ",", "b", ",", "ds"}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"v", "=", 
            RowBox[{"Range", "[", 
             RowBox[{"c", ",", "d", ",", "dt"}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"p", "[", 
               RowBox[{"k", ",", "j"}], "]"}], "=", 
              RowBox[{"N", "[", 
               RowBox[{"q", "/.", 
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{"x", "\[Rule]", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"u", "[", 
                    RowBox[{"[", "k", "]"}], "]"}], "+", 
                    RowBox[{"s", "*", "ds"}]}], ")"}]}], ",", 
                  RowBox[{"y", "\[Rule]", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"v", "[", 
                    RowBox[{"[", "j", "]"}], "]"}], "+", 
                    RowBox[{"t", "*", "dt"}]}], ")"}]}]}], "}"}]}], "]"}]}], 
             ",", 
             RowBox[{"{", 
              RowBox[{"k", ",", "1", ",", 
               RowBox[{
                RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"j", ",", "1", ",", 
               RowBox[{
                RowBox[{"Length", "[", "v", "]"}], "-", "1"}]}], "}"}]}], 
            "]"}], ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"(*", " ", 
            RowBox[{
             RowBox[{"Fix", " ", "from", " ", 
              RowBox[{"here", ":", " ", 
               RowBox[{"replace", " ", 
                RowBox[{"g", "[", "]"}], " ", "with", " ", "q"}]}]}], ",", 
             " ", 
             RowBox[{"etc", "."}]}], " ", "*)"}], "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"area", " ", "approximation", " ", "calculations"}], 
            "*)"}], "\[IndentingNewLine]", 
           RowBox[{"approxarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Sum", "[", 
              RowBox[{
               RowBox[{
                RowBox[{"p", "[", 
                 RowBox[{"k", ",", "j"}], "]"}], "*", "ds", "*", "dt"}], ",", 
               
               RowBox[{"{", 
                RowBox[{"k", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "u", "]"}], "-", "1"}]}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"j", ",", "1", ",", 
                 RowBox[{
                  RowBox[{"Length", "[", "v", "]"}], "-", "1"}]}], "}"}]}], 
              "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"exactarea", "=", 
            RowBox[{"N", "[", 
             RowBox[{"Integrate", "[", 
              RowBox[{"q", ",", 
               RowBox[{"{", 
                RowBox[{"x", ",", "a", ",", "b"}], "}"}], ",", 
               RowBox[{"{", 
                RowBox[{"y", ",", "c", ",", "d"}], "}"}]}], "]"}], "]"}]}], 
           ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
           "\[IndentingNewLine]", 
           RowBox[{"(*", 
            RowBox[{"graphics", " ", "to", " ", "Manipulate"}], "*)"}], 
           "\[IndentingNewLine]", 
           RowBox[{"Grid", "[", 
            RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
            RowBox[{"(*", 
             RowBox[{"text", " ", "-", " ", 
              RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
            
            RowBox[{"{", 
             RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"Framed", "@", 
                RowBox[{"Text", "@", 
                 RowBox[{"Column", "[", 
                  RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{
                   RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(x,y) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<a = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "a", "]"}], ",", 
                    "\"\<   b = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "b", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<m = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "m", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<c = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "c", "]"}], ",", 
                    "\"\<   d = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "d", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<n = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "n", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"tt", ",", 
                    RowBox[{"NumberForm", "[", 
                    RowBox[{"approxarea", ",", "10"}], "]"}]}], "}"}], "]"}], 
                    ",", "Purple", ",", "16"}], "]"}]}], "}"}], 
                   "\[IndentingNewLine]", ",", 
                   RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                  "\[IndentingNewLine]", 
                  RowBox[{"(*", "3", "*)"}], "]"}]}]}], "\[IndentingNewLine]",
                "}"}], ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
              RowBox[{"(*", 
               RowBox[{"plots", " ", "-", " ", 
                RowBox[{"second", " ", "row"}]}], "*)"}], 
              "\[IndentingNewLine]", 
              RowBox[{"{", "\[IndentingNewLine]", "\[IndentingNewLine]", 
               RowBox[{"(*", "2", "*)"}], "}"}]}], "\[IndentingNewLine]", 
             RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
            RowBox[{"(*", "0", "*)"}], "]"}]}], ",", "\[IndentingNewLine]", 
          "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"m", ",", "4", ",", "\"\<subintervals of [a,b]\>\""}], 
             "}"}], ",", "2", ",", "100", ",", "2", ",", 
            RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], 
          ",", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"n", ",", "4", ",", "\"\<subintervals of [c,d]\>\""}], 
             "}"}], ",", "2", ",", "100", ",", "2", ",", 
            RowBox[{"Appearance", "\[Rule]", "\"\<Labeled\>\""}]}], "}"}], 
          ",", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"b", ",", 
              RowBox[{"{", 
               RowBox[{"1", ",", 
                RowBox[{"Pi", "/", "2"}], ",", "2", ",", "3", ",", "Pi", ",", 
                "4"}], "}"}], ",", 
              RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ","}], 
           "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"method", ",", "\"\<lower left\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{
             "\"\<lower left\>\"", ",", "\"\<lower right\>\"", ",", 
              "\"\<upper left\>\"", ",", "\"\<upper right\>\"", ",", 
              "\"\<midpoint\>\""}], "}"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"AutorunSequencing", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, 
   3.55595498987873*^9, {3.5559550328795357`*^9, 3.5559550606831217`*^9}, {
   3.555955130043425*^9, 3.555955130754794*^9}, {3.555955445633934*^9, 
   3.555955446553224*^9}, {3.5559554841776533`*^9, 3.55595553351919*^9}, {
   3.555972855692178*^9, 3.555972872864448*^9}, {3.555974078714859*^9, 
   3.5559741866894503`*^9}, 3.5559742290096273`*^9, {3.5559744273051567`*^9, 
   3.55597443698831*^9}, {3.555974472050551*^9, 3.555974831204073*^9}, {
   3.5559750511658077`*^9, 3.555975148210484*^9}, {3.555975410420656*^9, 
   3.55597541605132*^9}, 3.5560130573978643`*^9, {3.55923707551973*^9, 
   3.559237078177843*^9}, {3.562293016367939*^9, 3.562293016541198*^9}, {
   3.571658260275326*^9, 3.571658261287725*^9}, {3.571658319029611*^9, 
   3.5716583456168528`*^9}, {3.5716583895517607`*^9, 
   3.5716585489878817`*^9}, {3.5716586429515*^9, 3.571658646062829*^9}, {
   3.571658684101593*^9, 3.5716588085410643`*^9}, {3.571659269469735*^9, 
   3.571659302850173*^9}, {3.571659349178844*^9, 3.571659381448442*^9}, {
   3.571659471089467*^9, 3.571659478475974*^9}, {3.571659514121396*^9, 
   3.571659619381546*^9}, {3.571659710811203*^9, 3.571659715016403*^9}, {
   3.571659756386985*^9, 3.571659860577941*^9}, {3.57166023133436*^9, 
   3.571660260074408*^9}, {3.571660324656374*^9, 3.5716603554055643`*^9}, {
   3.571660397385602*^9, 3.5716604016208963`*^9}, {3.5716656505755787`*^9, 
   3.571665699132756*^9}, {3.5716657601653748`*^9, 3.571665768634925*^9}, {
   3.5716658008365393`*^9, 3.571665872584115*^9}, {3.571665962510345*^9, 
   3.571665973547306*^9}, {3.571666065991097*^9, 3.571666068309689*^9}, {
   3.5716668189040823`*^9, 3.5716668270748034`*^9}}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = $CellContext`x^2 + $CellContext`y^2, \
$CellContext`a$$ = 0, $CellContext`b$$ = 2, $CellContext`c$$ = 
   0, $CellContext`d$$ = 3}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"f(x, y) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{"\"a = \"",InputFieldBox[
          Dynamic[$CellContext`a$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{"\"b = \"",InputFieldBox[
          Dynamic[$CellContext`b$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{"\"c = \"",InputFieldBox[
          Dynamic[$CellContext`c$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{"\"d = \"",InputFieldBox[
          Dynamic[$CellContext`d$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[
         Switch[$CellContext`method, "lower left", $CellContext`tt = 
            "Lower Left Sum = ", "lower right", $CellContext`tt = 
            "Lower Right Sum = ", "upper left", $CellContext`tt = 
            "Upper Left Sum = ", "upper right", $CellContext`tt = 
            "Upper Right Sum = ", "midpoint", $CellContext`tt = 
            "Midpoint Sum = "]; $CellContext`s = 
           Switch[$CellContext`method, "lower left", 0, "lower right", 1, 
             "upper left", 0, "upper right", 1, "midpoint", 
             0.5]; $CellContext`t = 
           Switch[$CellContext`method, "lower left", 0, "lower right", 0, 
             "upper left", 1, "upper right", 1, "midpoint", 
             0.5]; $CellContext`ds = ($CellContext`b$$ - \
$CellContext`a$$)/$CellContext`m; $CellContext`dt = ($CellContext`d$$ - \
$CellContext`c$$)/$CellContext`n; $CellContext`u = 
           Range[$CellContext`a$$, $CellContext`b$$, $CellContext`ds]; \
$CellContext`v = Range[$CellContext`c$$, $CellContext`d$$, $CellContext`dt]; 
          Table[$CellContext`p[$CellContext`k, $CellContext`j] = N[
              
              ReplaceAll[$CellContext`q$$, {$CellContext`x -> 
                Part[$CellContext`u, $CellContext`k] + $CellContext`s \
$CellContext`ds, $CellContext`y -> 
                Part[$CellContext`v, $CellContext`j] + $CellContext`t \
$CellContext`dt}]], {$CellContext`k, 1, Length[$CellContext`u] - 
             1}, {$CellContext`j, 1, Length[$CellContext`v] - 
             1}]; $CellContext`approxarea = N[
             
             Sum[$CellContext`p[$CellContext`k, $CellContext`j] \
$CellContext`ds $CellContext`dt, {$CellContext`k, 1, Length[$CellContext`u] - 
               1}, {$CellContext`j, 1, Length[$CellContext`v] - 
               1}]]; $CellContext`exactarea = N[
             
             Integrate[$CellContext`q$$, {$CellContext`x, $CellContext`a$$, \
$CellContext`b$$}, {$CellContext`y, $CellContext`c$$, $CellContext`d$$}]]; 
          Grid[{{
              Framed[
               Text[
                Column[{
                  Style[
                   Row[{"f(x,y) = ", 
                    TraditionalForm[$CellContext`q$$]}], Black, 16], 
                  Style[
                   Row[{"a = ", 
                    TraditionalForm[$CellContext`a$$], "   b = ", 
                    TraditionalForm[$CellContext`b$$]}], Black, 16], 
                  Style[
                   Row[{"m = ", 
                    TraditionalForm[$CellContext`m]}], Black, 16], 
                  Style[
                   Row[{"c = ", 
                    TraditionalForm[$CellContext`c$$], "   d = ", 
                    TraditionalForm[$CellContext`d$$]}], Black, 16], 
                  Style[
                   Row[{"n = ", 
                    TraditionalForm[$CellContext`n]}], Black, 16], 
                  Style[
                   Row[{$CellContext`tt, 
                    NumberForm[$CellContext`approxarea, 10]}], Purple, 16]}, 
                 Alignment -> Center]]]}, {}}], {{$CellContext`m, 4, 
            "subintervals of [a,b]"}, 2, 100, 2, Appearance -> 
           "Labeled"}, {{$CellContext`n, 4, "subintervals of [c,d]"}, 2, 100, 
           2, Appearance -> 
           "Labeled"}, {{$CellContext`method, "lower left"}, {
           "lower left", "lower right", "upper left", "upper right", 
            "midpoint"}}, AutorunSequencing -> {2, 3, 4}, TrackedSymbols -> 
          True, Alignment -> Center], StandardForm],
        ImageSizeCache->{489., {165., 171.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{{3.555955422691992*^9, 3.555955448327587*^9}, 
   3.5559751611282663`*^9, 3.5559754214065237`*^9, 3.555977050628533*^9, 
   3.556013064757704*^9, 3.5592370885769577`*^9, {3.562293043813665*^9, 
   3.562293069395794*^9}, 3.571665990860642*^9, 3.571666830781773*^9, 
   3.571667273567367*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard Math 141 - Mathematica - Riemann Sums 3D Demo\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{"By", " ", 
    ButtonBox[
     RowBox[{"Ethan", " ", "Bloch"}],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"],
        None},
     ButtonNote->
      "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}]}]\
], "Input",
 CellChangeTimes->{{3.554643887154148*^9, 3.554643894120864*^9}, {
   3.554643928521969*^9, 3.5546439339859943`*^9}, {3.5546439870866327`*^9, 
   3.554644011899135*^9}, 3.554644188266039*^9, {3.559237131519807*^9, 
   3.5592371328296556`*^9}, {3.571666042483917*^9, 3.571666045466745*^9}, {
   3.571666079567832*^9, 3.571666084330009*^9}}]
},
WindowSize->{1050, 1166},
WindowMargins->{{Automatic, 384}, {Automatic, 6}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (November 6, \
2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 18528, 380, 1440, "Input"],
Cell[19110, 404, 5850, 124, 539, "Output"]
}, Open  ]],
Cell[24975, 531, 874, 20, 91, "Input"]
}
]
*)

(* End of internal cache information *)
